version: "3.8"

services:

  php:
    container_name: ${PROJECT_NAMESPACE}-${PROJECT_NAME}-php-${PROJECT_ENVIRONNEMENT}-build
    build:
      context: './php'
      args:
        - LOCAL_USER_ID=$LOCAL_USER_ID
        - LOCAL_GROUP_ID=$LOCAL_GROUP_ID
        - PHP_VERSION=$PHP_VERSION
        - PROJECT_ENVIRONNEMENT=$PROJECT_ENVIRONNEMENT
    image: ${PROJECT_NAMESPACE}/${PROJECT_NAME}-php-${PROJECT_ENVIRONNEMENT}

#  openldap:
#    container_name: ${PROJECT_NAMESPACE}-${PROJECT_NAME}-openldap-${PROJECT_ENVIRONNEMENT}-build
#    build:
#      context: './openldap'
#    image: ${PROJECT_NAMESPACE}/${PROJECT_NAME}-openldap-${PROJECT_ENVIRONNEMENT}


  database:
    container_name: ${PROJECT_NAMESPACE}-${PROJECT_NAME}-mysql-${PROJECT_ENVIRONNEMENT}-build
    build:
      context: './mysql'
    image: ${PROJECT_NAMESPACE}/${PROJECT_NAME}-mysql-${PROJECT_ENVIRONNEMENT}
